/*
Visitors CSS
*/

/* Visitors Hero
========================= */
.hero-container { display: flex; justify-content: center; width: 100%; padding: 1em 2em 0em; }
.hero { display: block;background-color: #fff; position: relative; width: 100%; height: 600px; max-height: 100%; overflow: hidden; z-index: 999; }
.hero-block { display: block; width: 100%; height: 0; }
.hero-block .hero-bg { background-repeat: no-repeat; background-position: 50% 50%; background-size: cover; position: absolute; left: 0px; right: 0px; top: 0px; bottom: 0px; width: 100%; height: 100%; overflow: hidden; }

/* Visitors Services
========================= */
.visitors-overview { display: flex; flex-direction: column; align-items: center; margin: 0 2em; padding: 3.5em 0 1em; }
.visitors-inner { display: flex; flex-direction: column; max-width: 1480px; width: 100%; }
.visitors-title { display: flex; flex-direction: column; align-items: flex-start; margin: 0; padding: 0.5em 0; }
.visitors-title span { color: #1a1a1a; font-family: 'Roboto Slab', serif; font-size: 3.6rem; font-weight: 600; line-height: 1.2; letter-spacing: .05em; text-transform: uppercase; }
.visitors-details { display: flex; flex-direction: column; padding: 1em 0 .5em; }
.visitors-details p { color: #1a1a1a; font-family: 'Mulish', sans-serif; font-size: 1.8rem; line-height: 1.4; margin: 0; padding: 0 0 1em; }
.visitors-details p:last-of-type { padding: 0; }

.eas-container { display: flex; flex-direction: column; align-items: center; margin: 0 2em; padding: 2em 0 3em; }
.eas-inner { display: flex; flex-direction: column; max-width: 1480px; width: 100%; }

.eas-title { display: flex; flex-direction: column; align-items: center; margin: 0; padding: 0.5em 0 0.8em; }
.eas-title span { color: #1a1a1a; font-family: 'Roboto Slab', serif; font-size: 2.6rem; font-weight: 600; line-height: 1.4; letter-spacing: .08em; padding: 0 0 0.25em; text-transform: uppercase; }
.eas-title span:last-of-type { font-family: 'Mulish', sans-serif; font-size: 2rem; letter-spacing: .02em; padding: 0; text-transform: none; }

/* Vert Title
========================= */
.vert-title-container { display: flex; align-items: center; position: absolute; top: 0; bottom: 35px; left: 15px; right: 0; margin: 0; padding: 0; min-height: 1px; width: 20px; }
.vert-title-inner { width: 100%; }
.vert-title-inner:before { content: " "; display: table; }
.clearboth { clear: both; height: 0; font-size: 0; line-height: 0; }
.vert-title-divider { border-top: 1px solid transparent; display: flex; flex-direction: column; align-items: center; justify-content: center; height: 0; font-size: 0; line-height: 0; position: relative; }
.vert-title { margin-bottom: 1.1em; writing-mode: tb-rl; transform: rotate(-180deg); }
.vert-title span { color: #000; font-family: 'Mulish', sans-serif; font-weight: 800; font-size: 1.4rem; letter-spacing: .3em; line-height: 18px; text-transform: uppercase; }
.vert-title span:before { left: 50%; content: ''; height: 30px; width: 1px; background-color: #000; position: absolute; top: -45px; margin-left: -1px; }

/* Registration Banner
========================= */
.reg-banner { clear: both; padding: 3em 0 2em; position: relative; width: 100%; }
.reg-banner-block { display: flex; flex-direction: column; margin: 0 2em; padding: 0; }

.reg-banner-desktop-block { display: block; margin: 0 auto; max-width: 1480px; width: 100%; }
.reg-banner-desktop-block a { display: block; }
.reg-banner-desktop-block img { width: 100%; }

.reg-banner-tablet-block { display: none; }
.reg-banner-tablet-block a { display: block; }
.reg-banner-tablet-block img { max-width: 100%; }

.reg-banner-mobile-block { display: none; }
.reg-banner-mobile-block a { display: block; }
.reg-banner-mobile-block img { max-width: 100%; }

/* Eat
========================= */
.eas-eat { display: flex; flex-direction: row; flex-wrap: wrap; margin: 0 auto; padding: 1em 0 .5em 4em; width: 100%; position: relative; }

.eatery-logo img { display: block; margin: 0 auto; padding: 0 0 .5em; max-width: 225px; width: 100%; }
.eatery-overview { display: flex; flex-direction: column; }
.eatery-overview span { color: #1a1a1a; font-family: 'Mulish', sans-serif; font-size: 1.8rem; font-weight: 800; line-height: 1.4; margin: 0; padding: 0 0 0.2em; text-align: center; }

.eatery-overview a { color: #1a1a1a; font-family: 'Mulish', sans-serif; font-size: 1.8rem; font-weight: 600; line-height: 1.4; margin: 0; padding: 0 0 0.2em; text-align: center; }
.eatery-overview a span { font-weight: 600; }
.eatery-overview p { color: #1a1a1a; display: flex; flex-direction: row; flex-wrap: wrap; font-family: 'Mulish', sans-serif; font-size: 1.8rem; font-weight: 400; line-height: 1.4; margin: 0; padding: 0 0 0.5em; }

.eatery-overview p:first-of-type { padding: 0.5em 0; }
.eatery-overview p:last-of-type { padding: 0; }
.eatery-overview p .dot { display: flex; align-items: center; font-size: 1.4rem; padding: 0 0.5em; }

.eatery-overview-top { display: flex; flex-direction: column; }
.eas-eat .column:last-of-type .eatery-overview .eatery-overview-top { min-height: 74px; }
.eatery-overview-top:after { border-bottom: 2px solid #fec70f; content: ""; display: block; margin: 0 auto; padding-top: 0.8em; width: 20%; position: relative; }
.eatery-overview-bottom { padding: 0.5em; }

.eas-eat .column { display: flex; flex-direction: column; margin: 0; padding: 1.5em 1em .5em; width: calc(1/2*100% - (1 - 1/2)*0px); }
.eas-eat .column .column-feat-img { background-color: #fff; display: block; max-width: 100%; min-height: 1px; max-height: 600px; overflow: hidden; }
.eas-eat .column .column-feat-img .feat-img { background-position: center center; background-repeat: no-repeat; background-size: cover; display: block; padding-bottom: 56.24%; height: 100%; width: 100%; }
.eas-eat .column .column-details { display: flex; flex-direction: column; justify-content: center; align-items: center; padding: 1em 0 0; min-height: 250px; }
.eatery-logo { margin: 0 auto; }

/* Stay
========================= */
.eas-stay { display: flex; flex-direction: row; flex-wrap: wrap; margin: 0 auto; padding: .5em 0 2em 4em; width: 100%; position: relative; }

.stay-logo img { display: block; margin: 0 auto; padding: 0 0 .5em; max-width: 225px; width: 100%; }
.stay-overview { display: flex; flex-direction: column; }
.stay-overview span { color: #1a1a1a; font-family: 'Mulish', sans-serif; font-size: 1.8rem; font-weight: 800; line-height: 1.4; margin: 0; padding: 0 0 0.2em; text-align: center; }

.stay-overview a { color: #1a1a1a; font-family: 'Mulish', sans-serif; font-size: 1.8rem; font-weight: 600; line-height: 1.4; margin: 0; padding: 0 0 0.2em; text-align: center; }
.stay-overview a span { font-weight: 600; }
.stay-overview p { color: #1a1a1a; display: flex; flex-direction: row; flex-wrap: wrap; font-family: 'Mulish', sans-serif; font-size: 1.8rem; font-weight: 400; line-height: 1.4; margin: 0; padding: 0 0 0.5em; }

.stay-overview p:first-of-type { padding: 0.5em 0; }
.stay-overview p:last-of-type { padding: 0; }

.stay-overview-top { display: flex; flex-direction: column; }
.stay-overview-top:after { content: ""; border-bottom: 2px solid #fec70f; display: block; margin: 0 auto; padding-top: 0.8em; width: 15%; position: relative; }
.stay-overview-bottom { padding: 0.5em; }

.eas-stay .column { display: flex; flex-direction: column; margin: 0; padding: 1.5em 1em 1em; width: calc(1/2*100% - (1 - 1/2)*0px); }
.eas-stay .column .column-feat-img { background-color: #fff; display: block; max-width: 100%; min-height: 1px; max-height: 600px; overflow: hidden; }
.eas-stay .column .column-feat-img .feat-img { background-position: center center; background-repeat: no-repeat; background-size: cover; display: block; padding-bottom: 56.24%; height: 100%; width: 100%; }
.eas-stay .column .column-details { display: flex; flex-direction: column; justify-content: center; align-items: center; padding: 1em 0 0; min-height: 250px; }
.stay-logo { margin: 0 auto; }

/* Responsive
--------------------------------------------- */
@media only screen and (min-width: 1980px) {
.hero { height: 700px; }
}

@media only screen and (min-width: 2500px) {
.hero { height: 750px; }
}

@media only screen and (max-width: 1480px) {
.hero { max-height: calc(100vw * 0.38852); }
.visitors-overview { padding: 3em 0 1em; }
.reg-banner { padding: 2em 0 1em; }
.eas-stay { padding: 0.5em 0 1em 4em; }
}

@media only screen and (max-width: 1280px) {
.hero { max-height: calc(100vw * 0.39063); }
.visitors-overview { padding: 2.5em 0 1em; }
.reg-banner { padding: 1.5em 0 1em; }
.visitors-title span { font-size: 3.2rem; }
.eas-container { padding: 1.5em 0 2em; }
.eas-title span { font-size: 2.5rem; }
}

@media only screen and (max-width: 1140px) {
.visitors-title span { font-size: 3rem; }
}

@media only screen and (max-width: 1080px) {
.reg-banner { padding: 1.5em 0 0.5em; }
.reg-banner-desktop-block { display: none; }
.reg-banner-tablet-block { display: block; position: relative; margin: 0 auto; max-width: 650px; width: 100%; }
}

@media only screen and (max-width: 1023px) {
.hero { max-height: calc(100vw * 0.39101); }
.visitors-overview { padding: 2.5em 0 0.5em; }
.visitors-title span { font-size: 2.8rem; }
.eas-container { padding: 1em 0 2em; }
.eas-title span { font-size: 2.4rem; }
.eas-title span:last-of-type { font-size: 1.9rem; }
.eas-eat .column { padding: 1.5em 0.8em .5em; }
.eatery-logo img { max-width: 200px; }
.eas-stay .column { padding: 1.5em 0.8em 1em; }
.stay-logo img { max-width: 200px; }
}

@media only screen and (max-width: 880px) {
.hero { max-height: calc(100vw * 0.39773); }
.eas-eat { padding: 1em 2em .5em 4em; }
.eas-eat .column { width: 100%; }
.eas-eat .column:nth-of-type(2) { padding: 1em 0.8em 1em; }
.eas-eat .column:last-of-type .eatery-overview .eatery-overview-top { min-height: auto; }
.eas-stay { padding: .5em 2em 1em 4em; }
.eas-stay .column { padding: 1em 0.8em; width: 100%; }
}

@media only screen and (max-width: 768px) {
.hero-container { padding: 0.8em 1.5em 0em; }
.hero { max-height: calc(100vw * 0.39064); }
.visitors-overview { padding: 2em 0 .5em; }
.visitors-title span { font-size: 2.6rem; }
.eas-title span { font-size: 2.3rem; }
.eas-title span:last-of-type { font-size: 1.8rem; }
.eas-eat { padding: 1em 1em .5em 3em; }
.vert-title-container { left: 5px; }
.stay-eat { padding: 1em 1em 2em 3em; }
}

@media only screen and (max-width: 719px) {
.visitors-title span { font-size: 2.4rem; }
.vert-title-container { left: 0px; }
.vert-title span { font-size: 1.3rem; }
.reg-banner { padding: 1em 0 0.5em; }
}

@media only screen and (max-width: 640px) {
.hero { max-height: calc(100vw * 0.4297); }
.visitors-overview { margin: 0 1.5em; }
.visitors-title span { font-size: 2.2rem; }
.visitors-details { padding: 1em 0 0; }
.visitors-details p { font-size: 1.7rem; }
.reg-banner { padding: 1.5em 0 1em; }
.reg-banner-block { margin: 0 1.5em; }
.reg-banner-tablet-block { display: none; }
.reg-banner-mobile-block { display: block; }
.eas-container { margin: 0 1.5em; padding: 1em 0; }
.eas-title { padding: 0.5em 0; }
.eas-title span { font-size: 2.2rem; }
.eas-title span:last-of-type { font-size: 1.7rem; }
.eas-eat { padding: 1em 0 .5em; }
.eas-eat .column { padding: 1em 0 .5em; }
.eas-eat .column:nth-of-type(2) { padding: 1em 0 .5em; }
.vert-title-container { display: none; }
.eas-stay { padding: .5em 0 1em; }
.eas-stay .column { padding: 1em 0; }
.eas-stay .column:nth-of-type(2) { padding: 0.5em 0; }
}

@media only screen and (max-width: 480px) {
.hero { max-height: calc(100vw * 0.46874999); }
.visitors-overview { padding: 1.5em 0 .5em; }
.visitors-title span { font-size: 2.1rem; }
.reg-banner { padding: 1.5em 0 0.5em; }
.eas-container { padding: 1em 0 0.5em; }
.eas-title span { font-size: 2.1rem; }
.eas-eat .column { padding: .8em 0 .2em; }
.eas-eat .column:nth-of-type(2) { padding: 0.5em 0; }
.eatery-overview p { font-size: 1.7rem; }
.eas-stay .column { padding: .8em 0; }
.stay-overview p { font-size: 1.7rem; }
}

@media only screen and (max-width: 420px) {
.hero { max-height: calc(100vw * 0.4762); }
}